सामग्री पर जाएँ

Product Holding

इंटीग्रेट करें

मॉडल id image-apps-v2/product-holding
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/product-holding?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "product_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.04 40 API क्रेडिट · ≈ ₽4.30 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Utility इमेज एडिटिंग #product#marketing

दूसरी फ़ोटो में मौजूद व्यक्ति के हाथों में उत्पाद की छवि कंपोज़िट करता है

Utility · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक
फ़ाइल ड्रॉप करें, या

उस व्यक्ति को दिखाने वाला URL जिसे प्रोडक्ट पकड़े हुए दर्शाया जाएगा।

•आवश्यक
फ़ाइल ड्रॉप करें, या

उस प्रोडक्ट को दिखाने वाला URL जिसे व्यक्ति पकड़ेगा।

4K पर आउटपुट आस्पेक्ट अनुपात।

POST /run/image-apps-v2/product-holding?wait=20 कोटेशन → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/product-holding?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "product_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Product Holding के बारे में

दो छवियाँ आवश्यक हैं: व्यक्ति के लिए `person_image_url` और पकड़े जाने वाले आइटम के लिए `product_image_url`। आउटपुट में व्यक्ति को उत्पाद पकड़े हुए दिखाया जाता है, जो मार्केटिंग मॉकअप के लिए उपयोगी है। `aspect_ratio` आउटपुट फ़्रेम सेट करता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
person_image_urlआवश्यक
प्रकारurl · image
उस व्यक्ति को दिखाने वाला URL जिसे प्रोडक्ट पकड़े हुए दर्शाया जाएगा।
product_image_urlआवश्यक
प्रकारurl · image
उस प्रोडक्ट को दिखाने वाला URL जिसे व्यक्ति पकड़ेगा।
aspect_ratioवैकल्पिक
प्रकारobject
4K पर आउटपुट आस्पेक्ट अनुपात।
aspect_ratio.ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1:1
1:116:99:164:33:4
4K रिज़ॉल्यूशन पर आउटपुट आस्पेक्ट अनुपात।
आवश्यक

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/product-holding",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "product_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}व्यक्ति को स्वाभाविक रूप से प्रोडक्ट पकड़े हुए दर्शाने वाली इमेज।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/image-apps-v2/product-holding.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt